
Name:           ocaml-srpm-macros
Version:        8
Release:    	5%{?dist}

Summary:        OCaml architecture macros
License:        GPLv2+

BuildArch:      noarch

Source0:        macros.ocaml-srpm
Source1:        ocaml_files.py


%description
This package contains macros needed by RPM in order to build
SRPMS.  It does not pull in any other OCaml dependencies.


%prep


%build


%install
mkdir -p %{buildroot}%{rpmmacrodir}
install -m 0644 %{SOURCE0} %{buildroot}%{rpmmacrodir}/macros.ocaml-srpm

mkdir -p %{buildroot}%{_rpmconfigdir}/%{_vendor}
install -m 0644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/%{_vendor}

%files
%{rpmmacrodir}/macros.ocaml-srpm
%{_rpmconfigdir}/%{_vendor}/ocaml_files.py


%changelog
* Fri Nov 29 2024 denisecheng <denisecheng@tencent.com> - 8-5
- use _vendor macro

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8-3
- Rebuilt for loongarch release

* Thu Jun 20 2024 Huang Yang <huangyang@loongson.cn> - 8-2
- [Type] other
- [DESC] add loongarch64 and riscv64 in rpm macros

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8-1
- initial build
